Bug 14845 - PPPoE support in initscripts
PPPoE support in initscripts
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-07-29 20:34 EDT by Alexandre Blanchette
Modified: 2014-03-16 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-29 20:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Diff made from initscripts-5.00-1 (918 bytes, patch)
2000-07-29 20:43 EDT, Alexandre Blanchette
no flags Details | Diff

  None (edit)
Description Alexandre Blanchette 2000-07-29 20:34:21 EDT
Is there some plans to support PPPoE (PPP over Ethernet, RFC 2516) devices
with the initscripts?
Comment 1 Alexandre Blanchette 2000-07-29 20:43:53 EDT
Created attachment 1673 [details]
Diff made from initscripts-5.00-1
Comment 2 Alexandre Blanchette 2000-07-29 20:52:00 EDT
I attached what I've been to do. I had to add some PPP parameters in ifcfg-ppp0
and in ipup-ppp to make sure to connect to my ISP.

It relies on a userspace PPPoE agent, available on
http://www.ecf.toronto.edu/~stras/pppoe.html, but IIRC there's some support in
kernel 2.4

I know it's butt-ugly, but hey.. it's my first attempt to hack something ;)
Comment 3 Bill Nottingham 2000-07-31 15:52:44 EDT
This is fixed in the current beta release with the addition
of the rp-pppoe package.

Note You need to log in before you can comment on or make changes to this bug.